local randomWardrobe = 0
function onTalk()
	math.randomseed(os.time())
	randomYume = math.random(0,6)
	if (getFlag("wardrobeOpen") == false) then
		if (getFlag("yumeScary") == true) then
			setFlag("wardrobeCreature", true)
		end
		if (randomYume == 0) and (getFlag("yumeScary") == false) then
			setFlag("wardrobeYou", true)
		end
		setFlag("wardrobeOpen",true)
		setFlag("wardrobeEmpty",true)
	else
		setFlag("wardrobeOpen",false)
		setFlag("wardrobeYou",false)
		setFlag("wardrobeEmpty",false)
	end
	playSound("event:/CC/CC_Lobby/CC_NetscapeKosei/CC_YumeWardrobe")
end